Bug 142996 - *.eml should be message/rfc822, not application/x-mimearchive
Summary: *.eml should be message/rfc822, not application/x-mimearchive
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_filetypes (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Daniel Molkentin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-15 09:53 UTC by Lars DIECKOW
Modified: 2007-04-06 15:14 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lars DIECKOW 2007-03-15 09:53:13 UTC
Version:           3.5.6 "release 41.2"  (using KDE 3.5.6 "release 41.2" , openSUSE )
Compiler:          Target: i586-suse-linux
OS:                Linux (i686) release 2.6.18.8-0.1-default

This is for component kcmfiletypes.

By default, the extension *.eml is associated with application/x-mimearchive, along with *.mhtml *.mht, being MIME-encoded web archives.

It should rather be message/rfc822. Mozilla MailNews produces files like that when saving/extracting a message from the mailbox store to disk. This is of course a completely different animal from web archives.
Comment 1 Thomas McGuire 2007-03-16 13:37:39 UTC
See also bug #143040 (not sure if they are the same)
Comment 2 David Faure 2007-04-06 15:14:54 UTC
SVN commit 651073 by dfaure:

If *.eml is ambiguous (message/rfc822 or application/x-mimearchive) then let's not use that as pattern
and let's rely on file contents ("mime magic"). We have magic rules for message/rfc822 already but none
for application/x-mimearchive - contributions welcome ;)
BUG: 142996


 M  +1 -1      x-mimearchive.desktop  


--- branches/KDE/3.5/kdelibs/mimetypes/application/x-mimearchive.desktop #651072:651073
@@ -3,7 +3,7 @@
 Type=MimeType
 MimeType=application/x-mimearchive
 Icon=message
-Patterns=*.mhtml;*.MHTML;*.mht;*.MHT;*.eml;*.EML
+Patterns=*.mhtml;*.MHTML;*.mht;*.MHT
 Comment=Mime Encapsulated Web Archive
 Comment[af]=Mimiek Saamgevatte web Argief
 Comment[bg]=Капсулиран уеб архив